VoteStats:
  get:
    tags:
      - site
    summary: Get vote stats
    description: Get vote stats for current user
    operationId: getVoteStats
    responses:
      '200':
        description: Vote stats retrieved
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoteData'
components:
  schemas:
    VoteData:
      type: object
      required:
        - allVoteInfo
        - voteStats
        - voteStreak
        - bestVoteStreak
      properties:
        allVoteInfo:
          type: array
          items:
            $ref: '#/components/schemas/VoteInfo'
        voteStats:
          $ref: '#/components/schemas/VoteStats'
        voteStreak:
          $ref: '#/components/schemas/VoteStreak'
        bestVoteStreak:
          $ref: '#/components/schemas/VoteStreak'
    VoteInfo:
      type: object
      required:
        - siteName
        - lastVoteTimestamp
      properties:
        siteName:
          type: string
        lastVoteTimestamp:
          type: integer
          format: int64
    VoteStats:
      type: object
      required:
        - total
        - monthly
        - weekly
        - daily
      properties:
        total:
          type: integer
          format: int32
        monthly:
          type: integer
          format: int32
        weekly:
          type: integer
          format: int32
        daily:
          type: integer
          format: int32
    VoteStreak:
      type: object
      required:
        - dailyStreak
        - weeklyStreak
        - monthlyStreak
      properties:
        dailyStreak:
          type: integer
          format: int32
        weeklyStreak:
          type: integer
          format: int32
        monthlyStreak:
          type: integer
          format: int32
